{
    onTryBoost(boost, target, source, effect) {
        if (source && target === source)
            return;
        if (boost.atk && boost.atk < 0) {
            delete boost.atk;
            if (!effect.secondaries) {
                this.add("-fail", target, "unboost", "Attack", "[from] ability: Battle Armor", "[of] " + target);
            }
        }
    },
    onCriticalHit: false,
    flags: { breakable: 1 },
    name: "Battle Armor",
    rating: 1,
    num: 4
}
